# $Revision: 1.7 $, $Date: 2006/07/26 17:43:26 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Locale
%define		pnam	Maketext-Simple
Summary:	Locale::Maketext::Simple - Simple interface to Locale::Maketext::Lexicon
Summary(pl):	Locale::Maketext::Simple - prosty interfejs do Locale::Maketext::Lexicon
Name:		perl-Locale-Maketext-Simple
Version:	0.16
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d6dd0e79802f30d0eef723ec23021f60
URL:		http://search.cpan.org/dist/Locale-Maketext-Simple/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Regexp-Common
BuildRequires:	perl-Test-Simple
# to resolve dependency package name only:
BuildRequires:	perl-Locale-Maketext
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simple interface to Locale::Maketext::Lexicon.

%description -l pl
Prosty interfejs do Locale::Maketext::Lexicon.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change*
%dir %{perl_vendorlib}/%{pdir}/Maketext
%{perl_vendorlib}/%{pdir}/Maketext/*.pm
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Locale-Maketext-Simple.spec,v $
Revision 1.7  2006/07/26 17:43:26  glen
- fix md5

Revision 1.6  2006/07/26 17:26:23  glen
- 0.16, generic URL

Revision 1.5  2006/07/26 17:18:39  agaran
- added missing %dir, otherwise it get default perms, on some hosts 0700

Revision 1.4  2004/11/03 22:30:30  paladine
- formatting

Revision 1.3  2004/06/05 18:10:43  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.2  2004/05/21 17:31:08  qboosh
- pl

Revision 1.1  2004/05/21 02:34:36  arekm
- initial pld release
